Get Invoice
curl --request GET \
--url https://api.payaza.africa/live/api/v1/invoices/{invoiceId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"id": 6,
"invoiceNumber": "INV-21-C2",
"subscriptionId": 21,
"cycleNumber": 2,
"chargeId": 9,
"amount": 20,
"currency": "NGN",
"status": "PAID",
"dueDate": "2026-07-09T19:38:18.292411",
"issuedAt": "2026-07-08T20:20:29.53358",
"paidAt": "2026-07-08T20:20:32.903649",
"connectionMode": "Live",
"createdAt": "2026-07-08T20:20:29.48334",
"updatedAt": "2026-07-08T20:20:32.910372"
}
}Subscription Invoices
Get Invoice
This retrieves the details of a specific invoice.
GET
/
api
/
v1
/
invoices
/
{invoiceId}
Get Invoice
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The unique Identifier of the Invoice.
⌘I